org.keycloak.protocol.saml

## Class SAML2AuthnRequestBuilder

- java.lang.Object
- - org.keycloak.protocol.saml.SAML2BindingBuilder<SAML2AuthnRequestBuilder>
  - - org.keycloak.protocol.saml.SAML2AuthnRequestBuilder

-     public class SAML2AuthnRequestBuilder
      extends SAML2BindingBuilder<SAML2AuthnRequestBuilder>

  Author:
    pedroigor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `SAML2BindingBuilder.PostBindingBuilder, SAML2BindingBuilder.RedirectBindingBuilder`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `destination, encrypt, encryptionAlgorithm, encryptionKeySize, encryptionPublicKey, issuer, logger, relayState, sign, signAssertions, signatureAlgorithm, signingCertificate, signingKeyPair`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML2AuthnRequestBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAML2AuthnRequestBuilder` | `assertionConsumerUrl(String assertionConsumerUrl)`
    `SAML2AuthnRequestBuilder` | `forceAuthn(boolean forceAuthn)`
    `SAML2AuthnRequestBuilder` | `nameIdPolicy(SAML2NameIDPolicyBuilder nameIDPolicy)`
    `SAML2BindingBuilder.PostBindingBuilder` | `postBinding()`
    `SAML2AuthnRequestBuilder` | `protocolBinding(String protocolBinding)`
    `SAML2BindingBuilder.RedirectBindingBuilder` | `redirectBinding()`

    - ### Methods inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `base64Encoded, buildHtml, buildHtmlPostResponse, buildResponse, destination, encrypt, encryptDocument, encryptionAlgorithm, encryptionKeySize, generateRedirectUri, issuer, relayState, signAssertion, signAssertions, signatureAlgorithm, signDocument, signDocument, signWith, signWith, signWith, signWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAML2AuthnRequestBuilder

          public SAML2AuthnRequestBuilder()

  - ### Method Detail

    - #### assertionConsumerUrl

          public SAML2AuthnRequestBuilder assertionConsumerUrl(String assertionConsumerUrl)

    - #### forceAuthn

          public SAML2AuthnRequestBuilder forceAuthn(boolean forceAuthn)

    - #### nameIdPolicy

          public SAML2AuthnRequestBuilder nameIdPolicy(SAML2NameIDPolicyBuilder nameIDPolicy)

    - #### protocolBinding

          public SAML2AuthnRequestBuilder protocolBinding(String protocolBinding)

    - #### redirectBinding

          public SAML2BindingBuilder.RedirectBindingBuilder redirectBinding()

    - #### postBinding

          public SAML2BindingBuilder.PostBindingBuilder postBinding()

Copyright © 2015. All rights reserved.